GNU bug report logs - #42666
27.1; function exec-path is reported as introduced in 22.1

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: William Rankin <william@HIDDEN>; Keywords: wontfix; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug closed, send any further explanations to 42666 <at> debbugs.gnu.org and William Rankin <william@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) wontfix. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 42666 <at> debbugs.gnu.org:


Received: (at 42666) by debbugs.gnu.org; 31 Jul 2021 13:14:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jul 31 09:14:33 2021
Received: from localhost ([127.0.0.1]:33520 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m9ooz-0001gY-EF
	for submit <at> debbugs.gnu.org; Sat, 31 Jul 2021 09:14:33 -0400
Received: from quimby.gnus.org ([95.216.78.240]:53520)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1m9oox-0001gG-PF
 for 42666 <at> debbugs.gnu.org; Sat, 31 Jul 2021 09:14:32 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=BNpq6Mrzq6Bvc3NWjVaaZyiaZNd60rAlAgi2CTvHyRY=; b=fENfiv1PfFi5+OzSlUqxET8OgZ
 u43mlY2bVgFG83hySoLmvB3PVvw40pgXJBM/1zgFymGxS/Vi695tWhmPFzCmUi7tyWKhpmo0tfRAM
 /EAy+G4Z6T+FYunLNhWknoNPguE6/aT9mGWvZDmAMXawIqcWubLEpoCEKezNRhOf+CSc=;
Received: from 2.149.45.105.tmi.telenormobil.no ([2.149.45.105] helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1m9oop-0003yr-0i; Sat, 31 Jul 2021 15:14:25 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: William Rankin <william@HIDDEN>
Subject: Re: bug#42666: 27.1; function exec-path is reported as introduced
 in 22.1
References: <m2ime1ecvk.fsf@HIDDEN>
Date: Sat, 31 Jul 2021 15:14:21 +0200
In-Reply-To: <m2ime1ecvk.fsf@HIDDEN> (William Rankin's message of "Sun, 
 02 Aug 2020 17:16:31 +1000")
Message-ID: <87y29mfwwi.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: William Rankin <william@HIDDEN> writes: > The
 describe-function
 output for function exec-path, introduced in 27.1, > reports the function
 as introduced at or before Emacs version 22.1 when > actually introduced
 in 27.1. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 0.0 TVD_RCVD_IP            Message was received from an IP address
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 42666
Cc: 42666 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

William Rankin <william@HIDDEN> writes:

> The describe-function output for function exec-path, introduced in 27.1,
> reports the function as introduced at or before Emacs version 22.1 when
> actually introduced in 27.1.

Well, it says "probably".  It's just guessing, and those will be wrong
sometimes.

> I'm not sure there's much that can be done about this since
> help-fns--first-release is finding the variable exec-path mentioned in
> an entry regarding movemail in NEWS.22.

I don't think the guesswork here can be improved much, so I'm closing
this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42666; Package emacs. Full text available.

Message received at 42666 <at> debbugs.gnu.org:


Received: (at 42666) by debbugs.gnu.org; 8 Aug 2020 07:55:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Aug 08 03:55:16 2020
Received: from localhost ([127.0.0.1]:57995 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k4JhE-0006xZ-Kg
	for submit <at> debbugs.gnu.org; Sat, 08 Aug 2020 03:55:16 -0400
Received: from eggs.gnu.org ([209.51.188.92]:59242)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1k4JhD-0006xM-Nl
 for 42666 <at> debbugs.gnu.org; Sat, 08 Aug 2020 03:55:15 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:43402)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1k4Jh8-0008W7-9r; Sat, 08 Aug 2020 03:55:10 -0400
Received: from [176.228.60.248] (port=4381 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1k4Jh7-0007tP-IG; Sat, 08 Aug 2020 03:55:09 -0400
Date: Sat, 08 Aug 2020 10:55:07 +0300
Message-Id: <83d0417esk.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: William Rankin <william@HIDDEN>
In-Reply-To: <m2ime1ecvk.fsf@HIDDEN> (bug-gnu-emacs@HIDDEN)
Subject: Re: bug#42666: 27.1;
 function exec-path is reported as introduced in 22.1
References: <m2ime1ecvk.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 42666
Cc: 42666 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Sun, 02 Aug 2020 17:16:31 +1000
> From: William Rankin via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <bug-gnu-emacs@HIDDEN>
> 
> 
> The describe-function output for function exec-path, introduced in 27.1,
> reports the function as introduced at or before Emacs version 22.1 when
> actually introduced in 27.1.
> 
> I'm not sure there's much that can be done about this since
> help-fns--first-release is finding the variable exec-path mentioned in
> an entry regarding movemail in NEWS.22.
> 
> Maybe help-fns--first-release could limit mentions instead to outline
> headings?

Or maybe it should look for "function SYMBOL" instead of just SYMBOL?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42666; Package emacs. Full text available.

Message received at 42666 <at> debbugs.gnu.org:


Received: (at 42666) by debbugs.gnu.org; 3 Aug 2020 03:19:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 02 23:19:21 2020
Received: from localhost ([127.0.0.1]:43792 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k2R0F-0003wB-ON
	for submit <at> debbugs.gnu.org; Sun, 02 Aug 2020 23:19:21 -0400
Received: from eggs.gnu.org ([209.51.188.92]:36350)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rms@HIDDEN>) id 1k2R0D-0003vZ-NU
 for 42666 <at> debbugs.gnu.org; Sun, 02 Aug 2020 23:19:06 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:32821)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <rms@HIDDEN>)
 id 1k2R08-0003ZR-1A; Sun, 02 Aug 2020 23:19:00 -0400
Received: from rms by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rms@HIDDEN>)
 id 1k2R05-0007yN-RM; Sun, 02 Aug 2020 23:18:58 -0400
Content-Type: text/plain; charset=Utf-8
From: Richard Stallman <rms@HIDDEN>
To: William Rankin <william@HIDDEN>
In-Reply-To: <5321A762-E61C-4BCC-A403-8F229EB03E91@HIDDEN>
 (bug-gnu-emacs@HIDDEN)
Subject: Re: bug#42666: 27.1;
 function exec-path is reported as introduced in 22.1
References: <m2ime1ecvk.fsf@HIDDEN>
 <5321A762-E61C-4BCC-A403-8F229EB03E91@HIDDEN>
Message-Id: <E1k2R05-0007yN-RM@HIDDEN>
Date: Sun, 02 Aug 2020 23:18:57 -0400
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 42666
Cc: 42666 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: rms@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

Tautology -- the study of tension in strings.

-- 
Dr Richard Stallman
Chief GNUisance of the GNU Project (https://gnu.org)
Founder, Free Software Foundation (https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42666; Package emacs. Full text available.

Message received at 42666 <at> debbugs.gnu.org:


Received: (at 42666) by debbugs.gnu.org; 2 Aug 2020 07:19:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 02 03:19:20 2020
Received: from localhost ([127.0.0.1]:41572 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k28HA-0004b4-6B
	for submit <at> debbugs.gnu.org; Sun, 02 Aug 2020 03:19:20 -0400
Received: from sendmail.purelymail.com ([34.202.193.197]:57728)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <william@HIDDEN>) id 1k28H8-0004as-6V
 for 42666 <at> debbugs.gnu.org; Sun, 02 Aug 2020 03:19:18 -0400
MIME-Version: 1.0
DKIM-Signature: a=rsa-sha256;
 b=We8Xpm+XF+4+q0fo1hedmCWr1UXgO837kRx3cmgSCesFSScvl32O2N+L5Ho2KDydg8NwZDqPKyqbRhGCPoOwKaFKVhhN4ge91zJK85XbqnhzzaBmMRf3oYYmMl2OPoui1lUDIs++09FLqegGh3laxRcnzHH6fMMHCfpSvUBZxqFNYPXmhJBsz63+p0UJ2ApIMlGDUBV78v5/rXnJDO19nN6V/3IZ/efFxZFZ50cIHj5RXOz374hvzieFZvj5XaNR922NdUlM0V8oJHXr2NKe87K2Ub6nF1qaLrXstxefKLZBpwt+lLacm1a9F1xRCjig/8A2RMbS6Bpz+MVKxC00HA==;
 s=purelymail1; d=bydasein.com; v=1;
 bh=1/jT8B2bZLggJIH2sDSkBbSOH3X7dGx+3exgkbSmLBE=; h=from:to:received; 
Authentication-Results: purelymail.com; auth=pass
X-UserIsAuth: true
Received: from pa49-195-55-129.pa.nsw.optusnet.com.au (EHLO [192.168.66.3])
 ([49.195.55.129])
 by ip-172-30-0-124.ec2.internal (JAMES SMTP Server ) with ESMTPA ID 1603955546
 for <42666 <at> debbugs.gnu.org>; Sun, 02 Aug 2020 07:19:08 +0000 (UTC)
From: William Rankin <william@HIDDEN>
Content-Type: text/plain;
	charset=us-ascii
Content-Transfer-Encoding: 7bit
Subject: 27.1; function exec-path is reported as introduced in 22.1 
Message-Id: <5321A762-E61C-4BCC-A403-8F229EB03E91@HIDDEN>
Date: Sun, 2 Aug 2020 17:19:02 +1000
To: 42666 <at> debbugs.gnu.org
X-Mailer: Apple Mail (2.3608.80.23.2.2)
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 42666
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

p.s. As you can see I am a fan of tautologous tautology.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42666; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 2 Aug 2020 07:16:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 02 03:16:50 2020
Received: from localhost ([127.0.0.1]:41560 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k28Ek-0003tn-Dx
	for submit <at> debbugs.gnu.org; Sun, 02 Aug 2020 03:16:50 -0400
Received: from lists.gnu.org ([209.51.188.17]:50316)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <william@HIDDEN>) id 1k28Ei-0003ru-0Y
 for submit <at> debbugs.gnu.org; Sun, 02 Aug 2020 03:16:48 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:45828)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <william@HIDDEN>)
 id 1k28Eh-00050e-RY
 for bug-gnu-emacs@HIDDEN; Sun, 02 Aug 2020 03:16:47 -0400
Received: from sendmail.purelymail.com ([34.202.193.197]:57672)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <william@HIDDEN>)
 id 1k28Ee-0000EX-JN
 for bug-gnu-emacs@HIDDEN; Sun, 02 Aug 2020 03:16:47 -0400
MIME-Version: 1.0
DKIM-Signature: a=rsa-sha256;
 b=LcZH3b0XVzemUc190ruagLAqlIJnA1DX37Yg9J4+12Dq0Mu8fhG+tWOlcLtXPykWgiuPgmPavi+7pxVhfFjSakYVwQvydSwJwZiv4kMgv44yDOxtMlZDye6wJa0Rvf8saDOUNxfy7Mz2JqrUvNt7Fj3Zae9YInfV2sOzN1o6UGj2FcN/E2tj48jdalUSA1Y3D5i5n5ayWybOQd3qt1FLhnKJON0TdwUoOX1UMnHSe8XrihNJHdZpMyJnjRQ5hSX0Ylu1Ex9B+2hQgvDAMPxCkkeG+CkreLvnvoJ/TQJAH0IxiV6XUyRVjh5EK6ANb7dUx5sUK+1SXXSZuq6fdrJPFw==;
 s=purelymail1; d=bydasein.com; v=1;
 bh=cud/qEggA4QrdXyg4728BH8H5zgddgcTPJgwqU1QA50=; h=from:to:received; 
Authentication-Results: purelymail.com; auth=pass
X-UserIsAuth: true
Received: from pa49-195-55-129.pa.nsw.optusnet.com.au (EHLO localhost)
 ([49.195.55.129])
 by ip-172-30-0-124.ec2.internal (JAMES SMTP Server ) with ESMTPA ID 2063578915
 for <bug-gnu-emacs@HIDDEN>; Sun, 02 Aug 2020 07:16:39 +0000 (UTC)
From: William Rankin <william@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 27.1; function exec-path is reported as introduced in 22.1
Date: Sun, 02 Aug 2020 17:16:31 +1000
Message-ID: <m2ime1ecvk.fsf@HIDDEN>
Content-Type: text/plain
Received-SPF: pass client-ip=34.202.193.197; envelope-from=william@HIDDEN;
 helo=sendmail.purelymail.com
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/08/02 03:16:43
X-ACL-Warn: Detected OS   = Linux 2.2.x-3.x [generic] [fuzzy]
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001, URIBL_BLOCKED=0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)


The describe-function output for function exec-path, introduced in 27.1,
reports the function as introduced at or before Emacs version 22.1 when
actually introduced in 27.1.

I'm not sure there's much that can be done about this since
help-fns--first-release is finding the variable exec-path mentioned in
an entry regarding movemail in NEWS.22.

Maybe help-fns--first-release could limit mentions instead to outline
headings?



In GNU Emacs 27.1 (build 1, x86_64-apple-darwin19.5.0, NS appkit-1894.50 Version 10.15.5 (Build 19F101))
 of 2020-08-02 built on Nostromo.local
Repository revision: f54ddb0198640e38c1d34bf6031ff5117c117c85
Repository branch: emacs-27
Windowing system distributor 'Apple', version 10.3.1894
System Description:  Mac OS X 10.15.5

Recent messages:
Loading /Users/william/code/olivetti/olivetti.el (source)...done
Loading /Users/william/code/binder/binder.el (source)...done
Loading /Users/william/code/freeze-it/freeze-it.el (source)...done
Loading /Users/william/code/side-notes/side-notes.el (source)...done
==> Emacs started at Sun Aug  2 17:03:59 2020
For information about GNU Emacs and the GNU system, type C-h C-a.
Quit
Type C-x 1 to delete the help window.
mouse-2, RET: show corresponding NEWS announcement
Making completion list...

Configured using:
 'configure --disable-ns-self-contained --without-gnutls'

Configured features:
NOTIFY KQUEUE ACL LIBXML2 ZLIB TOOLKIT_SCROLL_BARS NS MODULES THREADS
PDUMPER GMP

Important settings:
  value of $LANG: en_AU.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Outline

Minor modes in effect:
  which-key-mode: t
  show-paren-mode: t
  save-place-mode: t
  recentf-mode: t
  global-page-break-lines-mode: t
  page-break-lines-mode: t
  display-time-mode: t
  delete-selection-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t
  abbrev-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug eieio-opt cl-extra speedbar sb-image
ezimage dframe help-fns radix-tree help-mode vc-git diff-mode bookmark
pp bs exec-path-from-shell side-notes freeze-it binder olivetti
fountain-mode elec-pair autoinsert noutline outline easy-mmode imenu
whitespace init-feeds init-mail mu4e desktop frameset mu4e-main
mu4e-view thingatpt comint ansi-color ring mu4e-headers mu4e-compose
mu4e-context mu4e-draft mu4e-actions ido rfc2368 smtpmail sendmail
mu4e-mark mu4e-message flow-fill mu4e-proc mu4e-utils doc-view jka-compr
image-mode exif mu4e-lists hl-line mu4e-vars message rmc puny
format-spec rfc822 mml mml-sec epa derived epg epg-config gnus-util
rmail rmail-loaddefs text-property-search time-date mm-decode mm-bodies
mm-encode mail-parse rfc2231 rfc2047 rfc2045 mm-util ietf-drums
mail-prsvr mailabbrev mail-utils gmm-utils mailheader mu4e-meta init-git
init-keys iso-transl edmacro kmacro init-functions hi-lock cal-julian
solar cal-dst cal-menu calendar cal-loaddefs init-vars ibuf-macs
init-bugfixes finder finder-inf find-func lisp-mnt dired-x dired
dired-loaddefs disp-table url-privacy dark-theme which-key advice paren
saveplace recentf tree-widget wid-edit osx-clipboard page-break-lines
time delsel cus-start cus-load info tex-site package easymenu browse-url
url-handlers url-parse auth-source cl-seq eieio eieio-core cl-macs
eieio-loaddefs password-cache json subr-x map url-vars seq byte-opt gv
bytecomp byte-compile cconv cl-loaddefs cl-lib tooltip eldoc electric
uniquify ediff-hook vc-hooks lisp-float-type mwheel term/ns-win ns-win
ucs-normalize mule-util term/common-win tool-bar dnd fontset image
regexp-opt fringe tabulated-list replace newcomment text-mode elisp-mode
lisp-mode prog-mode register page tab-bar menu-bar rfn-eshadow isearch
timer select scroll-bar mouse jit-lock font-lock syntax facemenu
font-core term/tty-colors frame minibuffer cl-generic cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese eucjp-ms cp51932 hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese composite charscript charprop
case-table epa-hook jka-cmpr-hook help simple abbrev obarray
cl-preloaded nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote threads kqueue cocoa ns
multi-tty make-network-process emacs)

Memory information:
((conses 16 159691 247563)
 (symbols 48 15845 54)
 (strings 32 48468 18244)
 (string-bytes 1 1531818)
 (vectors 16 22899)
 (vector-slots 8 256846 186320)
 (floats 8 444 976)
 (intervals 56 484 261)
 (buffers 1000 17))




Acknowledgement sent to William Rankin <william@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#42666; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 31 Jul 2021 13:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.